Bug 1507892 - bad post install scripts
Summary: bad post install scripts
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: vino
Version: 7.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Ondrej Holy
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-10-31 11:49 UTC by Levente Farkas
Modified: 2018-10-30 10:20 UTC (History)
3 users (show)

Fixed In Version: vino-3.22.0-5.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-30 10:19:48 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:3140 0 None None None 2018-10-30 10:20:48 UTC

Description Levente Farkas 2017-10-31 11:49:11 UTC
vino's spec file's scripts are all missing parameters.

eg:
%preun
%systemd_user_preun

while it's missing the service name parameter all should have to be fixed to:
%preun
%systemd_user_preun vino-server

#1507890

Comment 2 Ondrej Holy 2018-03-07 16:01:48 UTC
This should be fixed as a part of the planned desktop rebase in RHEL-7.6.

Comment 3 Ondrej Holy 2018-04-19 12:29:17 UTC
I've fixed that in Fedora already:
https://src.fedoraproject.org/rpms/vino/c/61e5e4d

Comment 7 errata-xmlrpc 2018-10-30 10:19:48 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:3140


Note You need to log in before you can comment on or make changes to this bug.